<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{DD9131C7-BF40-45B0-827A-C5E46FC8A89E}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>MisDataFun</RootNamespace>
    <AssemblyName>MisDataFun</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\MisDataFun\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Mes32X32.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="MisAddition\QualityDataQueryStruct.cs" />
    <Compile Include="MisAddition\WriteQualityValueForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MisAddition\WriteQualityValueForm.Designer.cs">
      <DependentUpon>WriteQualityValueForm.cs</DependentUpon>
    </Compile>
    <Compile Include="MisDataFun.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MisDataFun.Designer.cs">
      <DependentUpon>MisDataFun.cs</DependentUpon>
    </Compile>
    <Compile Include="OrderForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="OrderForm.Designer.cs">
      <DependentUpon>OrderForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="MisAddition\WriteQualityValueForm.resx">
      <DependentUpon>WriteQualityValueForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="MisDataFun.resx">
      <DependentUpon>MisDataFun.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="OrderForm.resx">
      <DependentUpon>OrderForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="jsconfig1.json" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="BasicData">
      <HintPath>..\..\dll_common\BasicData.dll</HintPath>
    </Reference>
    <Reference Include="BouncyCastle.Crypto">
      <HintPath>..\..\dll_common\BouncyCastle.Crypto.dll</HintPath>
    </Reference>
    <Reference Include="ConLink, Version=7.0.1.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\ConLink.dll</HintPath>
    </Reference>
    <Reference Include="DataLinkMesWork">
      <HintPath>..\..\dll_common\DataLinkMesWork.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.SharpZipLib, Version=1.2.0.7, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="MesControl, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\MesControl.dll</HintPath>
    </Reference>
    <Reference Include="MesWork.DeviceDriver">
      <HintPath>..\..\dll_common\MesWork.DeviceDriver.dll</HintPath>
    </Reference>
    <Reference Include="MesWork.PLC">
      <HintPath>..\..\dll_common\MesWork.PLC.dll</HintPath>
    </Reference>
    <Reference Include="Monitor.MesWork">
      <HintPath>..\..\dll_common\Monitor.MesWork.dll</HintPath>
    </Reference>
    <Reference Include="MQTTnet, Version=3.0.15.0, Culture=neutral, PublicKeyToken=b69712f52770c0a7, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\MQTTnet.dll</HintPath>
    </Reference>
    <Reference Include="MQTTnet.Extensions.ManagedClient, Version=3.0.15.0, Culture=neutral, PublicKeyToken=b69712f52770c0a7, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\MQTTnet.Extensions.ManagedClient.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\..\dll_common\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NPOI, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OOXML, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.OOXML.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXml4Net, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.OpenXml4Net.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXmlFormats, Version=2.4.1.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_common\NPOI.OpenXmlFormats.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Client">
      <HintPath>..\..\dll_common\Opc.Ua.Client.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Configuration">
      <HintPath>..\..\dll_common\Opc.Ua.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Core">
      <HintPath>..\..\dll_common\Opc.Ua.Core.dll</HintPath>
    </Reference>
    <Reference Include="OpcUaHelper">
      <HintPath>..\..\dll_common\OpcUaHelper.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data.Linq" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Security, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Net.Security.dll</HintPath>
    </Reference>
    <Reference Include="System.Net.WebSockets, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Net.WebSockets.dll</HintPath>
    </Reference>
    <Reference Include="System.Net.WebSockets.Client, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Net.WebSockets.Client.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Algorithms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.Algorithms.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Encoding, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.Encoding.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Primitives, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.Primitives.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.X509Certificates, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\dll_fun\System.Security.Cryptography.X509Certificates.dll</HintPath>
    </Reference>
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Common\00-2AppConfigSet\AppConfigSet\00-1AppConfigSetForm.csproj">
      <Project>{5fd5de57-cc26-4fd0-b852-5362123bc4ff}</Project>
      <Name>00-1AppConfigSetForm</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\00MesWorkMqtt\MesWorkMqtt\00MesWorkMqtt.csproj">
      <Project>{f55da1a0-a982-4479-8c47-0d9a5aaf3e18}</Project>
      <Name>00MesWorkMqtt</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\01DoWhatPlc\01_01DoWhatPlc.csproj">
      <Project>{0d1af432-439a-4920-8692-43ae139f5530}</Project>
      <Name>01_01DoWhatPlc</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\07WebBusinessFacade\BusinessFacade\07BusinessFacade.csproj">
      <Project>{f0a0c525-03fd-428a-9b17-7f54aa0e4475}</Project>
      <Name>07BusinessFacade</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\08WebFun_base\WebFun_base\08-WebFun_base.csproj">
      <Project>{d98be764-adeb-488d-9714-61e308aa8201}</Project>
      <Name>08-WebFun_base</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\09MesDataFunction\MesDataFunction\09-MesDataFunction.csproj">
      <Project>{90e76fb4-646d-45e2-95db-0b8ab4e465d6}</Project>
      <Name>09-MesDataFunction</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\99DataBaseAccess2\DataBaseAccess\99-DataBaseAccess2.csproj">
      <Project>{5c0c572b-f8f1-41de-b049-4d40ae29cd21}</Project>
      <Name>99-DataBaseAccess2</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\MyLog4Net\00_MyLog4Net.csproj">
      <Project>{1dc48c83-1842-4de8-acaf-26e1e7f7c58f}</Project>
      <Name>00_MyLog4Net</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\MesServer.Function\Function1051\Function1051.csproj">
      <Project>{b5a0baa3-c1a7-4aab-9486-2e650adaca7e}</Project>
      <Name>Function1051</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\MesServer.Function\Function1052\Function1052.csproj">
      <Project>{5fee5c91-8419-49ff-b2c2-47476f0b8c68}</Project>
      <Name>Function1052</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunction\MesServer.Function\Function1053\Function1053.csproj">
      <Project>{ca8a12c5-7bf0-4489-93fa-180b1c492bba}</Project>
      <Name>Function1053</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MisDataFunDll\MisDataFunDll\13.4MisDataFunction.csproj">
      <Project>{a0de975b-3afc-4f39-920e-29a874480a36}</Project>
      <Name>13.4MisDataFunction</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\MIS_FuntionSaveData\MIS_FuntionSaveData\13.3MIS_FuntionSaveData.csproj">
      <Project>{55b510c1-59e9-4bfd-ae84-d76d46f6e365}</Project>
      <Name>13.3MIS_FuntionSaveData</Name>
    </ProjectReference>
    <ProjectReference Include="..\SendMessageToWebMqtt\12SendMessageToWeb.csproj">
      <Project>{E4EB6420-906D-4672-947A-CA33DDCDADFC}</Project>
      <Name>12SendMessageToWeb</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Mes32X32.ico" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>